## org.eclipse.ocl.expressions.impl
Class IfExpImpl<C>

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ocl.expressions.impl.OCLExpressionImpl<C>
                      org.eclipse.ocl.expressions.impl.IfExpImpl<C>

All Implemented Interfaces:
  Notifier, EObject, InternalEObject, IfExp<C>, OCLExpression<C>, ASTNode, TypedElement<C>, Visitable

    public class IfExpImpl<C>

extends OCLExpressionImpl<C>
implements IfExp<C>

An implementation of the model object 'If Exp'.

The following features are implemented:

- `Condition`
- `Then Expression`
- `Else Expression`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected OCLExpression<C>` `condition` The cached value of the '`Condition`' containment reference
`protected OCLExpression<C>` `elseExpression` The cached value of the '`Else Expression`' containment reference
`protected OCLExpression<C>` `thenExpression` The cached value of the '`Then Expression`' containment reference

Fields inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`END_POSITION_EDEFAULT, endPosition, START_POSITION_EDEFAULT, startPosition`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `IfExpImpl()`

Method Summary

`

`<T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T`

`

`accept(U v)`

`NotificationChain` `basicSetCondition(OCLExpression<C> newCondition, NotificationChain msgs)`
`NotificationChain` `basicSetElseExpression(OCLExpression<C> newElseExpression, NotificationChain msgs)`
`NotificationChain` `basicSetThenExpression(OCLExpression<C> newThenExpression, NotificationChain msgs)`
`boolean` `checkBooleanCondition(DiagnosticChain diagnostics, Map<Object,Object> context)`
`boolean` `checkIfType(DiagnosticChain diagnostics, Map<Object,Object> context)`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`OCLExpression<C>` `getCondition()`
`OCLExpression<C>` `getElseExpression()`
`OCLExpression<C>` `getThenExpression()`
`void` `setCondition(OCLExpression<C> newCondition)`
`void` `setElseExpression(OCLExpression<C> newElseExpression)`
`void` `setThenExpression(OCLExpression<C> newThenExpression)`

Methods inherited from class org.eclipse.ocl.expressions.impl.OCLExpressionImpl
`eBaseStructuralFeatureID, eDerivedStructuralFeatureID, getEndPosition, getName, getStartPosition, getType, setEndPosition, setName, setStartPosition, setType, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### condition

    protected OCLExpression<C> condition

  The cached value of the '`Condition`' containment reference.

  See Also:
    `getCondition()`

### thenExpression

    protected OCLExpression<C> thenExpression

  The cached value of the '`Then Expression`' containment reference.

  See Also:
    `getThenExpression()`

### elseExpression

    protected OCLExpression<C> elseExpression

  The cached value of the '`Else Expression`' containment reference.

  See Also:
    `getElseExpression()`

Constructor Detail

### IfExpImpl

    protected IfExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `OCLExpressionImpl<C>`

### getCondition

    public OCLExpression<C> getCondition()

  Specified by:
    `getCondition` in interface `IfExp<C>`
  Returns:
    the value of the 'Condition' containment reference.
  See Also:
    `IfExp.setCondition(OCLExpression)`, `ExpressionsPackage.getIfExp_Condition()`

### basicSetCondition

    public NotificationChain basicSetCondition(OCLExpression<C> newCondition,
                                               NotificationChain msgs)

### setCondition

    public void setCondition(OCLExpression<C> newCondition)

  Specified by:
    `setCondition` in interface `IfExp<C>`
  Parameters:
    `newCondition` - the new value of the 'Condition' containment reference.
  See Also:
    `IfExp.getCondition()`

### getThenExpression

    public OCLExpression<C> getThenExpression()

  Specified by:
    `getThenExpression` in interface `IfExp<C>`
  Returns:
    the value of the 'Then Expression' containment reference.
  See Also:
    `IfExp.setThenExpression(OCLExpression)`, `ExpressionsPackage.getIfExp_ThenExpression()`

### basicSetThenExpression

    public NotificationChain basicSetThenExpression(OCLExpression<C> newThenExpression,
                                                    NotificationChain msgs)

### setThenExpression

    public void setThenExpression(OCLExpression<C> newThenExpression)

  Specified by:
    `setThenExpression` in interface `IfExp<C>`
  Parameters:
    `newThenExpression` - the new value of the 'Then Expression' containment reference.
  See Also:
    `IfExp.getThenExpression()`

### getElseExpression

    public OCLExpression<C> getElseExpression()

  Specified by:
    `getElseExpression` in interface `IfExp<C>`
  Returns:
    the value of the 'Else Expression' containment reference.
  See Also:
    `IfExp.setElseExpression(OCLExpression)`, `ExpressionsPackage.getIfExp_ElseExpression()`

### basicSetElseExpression

    public NotificationChain basicSetElseExpression(OCLExpression<C> newElseExpression,
                                                    NotificationChain msgs)

### setElseExpression

    public void setElseExpression(OCLExpression<C> newElseExpression)

  Specified by:
    `setElseExpression` in interface `IfExp<C>`
  Parameters:
    `newElseExpression` - the new value of the 'Else Expression' containment reference.
  See Also:
    `IfExp.getElseExpression()`

### checkBooleanCondition

    public boolean checkBooleanCondition(DiagnosticChain diagnostics,
                                         Map<Object,Object> context)

  Specified by:
    `checkBooleanCondition` in interface `IfExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkIfType

    public boolean checkIfType(DiagnosticChain diagnostics,
                               Map<Object,Object> context)

  Specified by:
    `checkIfType` in interface `IfExp<C>`
  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `BasicEObjectImpl`

### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `OCLExpressionImpl<C>`

### eSet

    public void eSet(int featureID,
                     Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `OCLExpressionImpl<C>`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `OCLExpressionImpl<C>`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `OCLExpressionImpl<C>`

### accept

    public <T,U extends Visitor<T,?,?,?,?,?,?,?,?,?>> T accept(U v)

  Description copied from class: `OCLExpressionImpl`

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `OCLExpressionImpl<C>`

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.